.\"#############################################################################
.\"$Id: ipmiping.8.pre.in,v 1.18 2010-06-30 21:56:36 chu11 Exp $
.\"#############################################################################
.\"  Copyright (C) 2007-2012 Lawrence Livermore National Security, LLC.
.\"  Copyright (C) 2003-2007 The Regents of the University of California.
.\"  Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER).
.\"  Written by Albert Chu <chu11@llnl.gov>
.\"  UCRL-CODE-155448
.\"  
.\"  This file is part of Ipmiping, tools for pinging IPMI and RMCP compliant
.\"  remote systems. For details, see http://www.llnl.gov/linux/.
.\"
.\"  Ipmiping is free software; you can redistribute it and/or modify it under
.\"  the terms of the GNU General Public License as published by the Free
.\"  Software Foundation; either version 3 of the License, or (at your option)
.\"  any later version.
.\"  
.\"  Ipmiping is distributed in the hope that it will be useful, but WITHOUT 
.\"  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
.\"  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
.\"  for more details.
.\"  
.\"  You should have received a copy of the GNU General Public License along
.\"  with Ipmiping.  If not, see <http://www.gnu.org/licenses/>.
.\"############################################################################
.TH IPMIPING 8 "2012-06-28" "ipmiping 1.1.6" "System Commands"
.SH "NAME"
ipmiping \- send IPMI Get Authentication Capabilitiy request to network hosts
.SH "SYNOPSIS"
.B ipmiping
[\fIOPTION\fR...] destination
.SH "DESCRIPTION"
.B ipmiping
uses the IPMI Get Channel Authentication Capabilities request datagram
to elicit an IPMI Get Channel Authentication Capabilitiesl response
from a remote host. The utility can be used to verify if a remote
host supports IPMI. The initial starting sequence number will be
randomized.

.B ipmiping
will return 0 to the environment if it receives atleast 1 response
from the remote host. Otherwise, it exists with a value of 1.
.SH "OPTIONS"
The following options are available
.TP
\fB\-h\fR
Output help menu.
.TP
\fB\-V\fR
Output version.
.TP
\fB\-c\fR \fIcount\fR
Stop after sending
.I count
packets.
.TP
\fB\-i\fR \fIinterval\fR
Wait
.I interval
seconds between sending each packet. The default is to wait for one
second between each packet.
.TP
\fB\-I\fR \fIinterface address\fR
Set source address to specified interface address. Argument may
be numeric IP address or name of device.
.TP
\fB\-t\fR \fItimeout\fR
Time to wait for a response, in seconds. Default is five seconds.
.TP
\fB\-v\fR
Verbose output.
.TP
\fB\-s\fR \fInum\fR
Specify an initial starting sequence number. The default is to use a
random initial sequence number.
.TP
\fB\-d\fR
Turn on debugging.
.TP
\fB\-r\fR \fIversion\fR
Specify IPMI version. Available options are "1.5" and "2.0". Default
is to use "1.5". Note that packets will always be sent with the IPMI
1.5 protocol, but IPMI 1.5 vs IPMI 2.0 relevant fields will be
communicated in the Get Channel Authentication Capabilities datagram
depending on user choice.
.SH "KNOWN ISSUES"
It has been observed that some remote BMCs can get "confused" and
delay packet responses if duplicate packets (with duplicate sequence
numbers) are sent in succession very quickly. There is no known way
to cleanly deal with a "confused" BMC other than the wait awhile.
.PP
Unlike
.B ping(8),
local network devicess (e.g. 127.0.0.1) cannot be "pinged".
.SH "REPORTING BUGS"
Report bugs to <freeipmi\-users@gnu.org> or <freeipmi\-devel@gnu.org>.
.SH COPYRIGHT
Copyright (C) 2007-2012 Lawrence Livermore National Security, LLC.
.br
Copyright (C) 2003-2007 The Regents of the University of California.
.PP
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or (at
your option) any later version.
.SH "ORIGIN"
Command and manpage based off
.B ping(8).
.SH "SEE ALSO"
freeipmi(7), ping(8), rmcpping(8)
.PP
http://www.gnu.org/software/freeipmi/
